socle = chargeWaveFront("socle.obj", true);

base = chargeWaveFront("base.obj", true);
matriceRotate(&base, (0,0,1), 90 );

bras = chargeWaveFront("bras.obj", true);
matriceRotate(&bras, (1,0,0), 180);
matriceRotate(&bras, (0,1,0), -90);

bras_soutien = chargeWaveFront("soutien_bras.obj", true);
matriceRotate(&bras_soutien, (1,0,0), 180);
matriceRotate(&bras_soutien, (0,1,0), -90);

avant_bras = chargeWaveFront("avant_bras.obj", true);
matriceRotate(&avant_bras, (1,0,0), 90);
matriceRotate(&avant_bras, (0,1,0), -90);

avant_bras_soutien = chargeWaveFront("soutien_avant_bras.obj", true);
matriceRotate(&avant_bras_soutien, (0,1,0), -90);
matriceRotate(&avant_bras_soutien, (0,0,1), 90);

boomerang = chargeWaveFront("boomerang.obj", true);
matriceRotate(&boomerang, (0,1,0), -90);
matriceRotate(&boomerang, (0,0,1), 90);

poignet = chargeWaveFront("poignet.obj", true);
matriceRotate(&poignet, (0,1,0), -90);
matriceRotate(&poignet, (0,0,1), 90);

prhenseur = chargeWaveFront("prhenseur.obj", true);
matriceRotate(&prhenseur, (1,0,0), 180);


piston_int = chargeWaveFront("piston_interieur.obj", true);
matriceRotate(&piston_int, (1,0,0), 180);
matriceRotate(&piston_int, (0,1,0), -90);

piston_ext = chargeWaveFront("piston_exterieur.obj", true);
matriceRotate(&piston_ext, (0,0,1), 90 );


///////////
// robot(float a, float b, float l1, float l2, float r6)
a = 11.024;   // dcentrage du bras par rapport  la base
l1 = 33.071;  // longueur du bras 1
l2 = 36.22;   // longueur du bras 2
r6 = 5.71;    // distance verticale du trou du haut du poignet au dessous de la ventouse
b = 13;       // dcentrage de la ventouse par rapport au trou du haut du poignet
bras_soutien_deltax = -4.724;
avant_bras_soutien_deltax = 15.748;
soutien_deltay = 7.874;
rpiston_int = 7.874; // placement du piston interieur
rpiston_ext = 14.173; // placement du piston exterieur
fanuc = robot(a, b, l1, l2, bras_soutien_deltax, avant_bras_soutien_deltax, soutien_deltay, // distance de placement
	rpiston_int, rpiston_ext, // placement du piston
	70,70,70,180, // vitesses de deplacement
	5, // rayon d'action
	30, // rayon technique
	&socle, &base, &bras, &bras_soutien, &boomerang,
	&avant_bras, &avant_bras_soutien, &poignet, &prhenseur,
	&piston_int,
	&piston_ext
	);

setRobotReperes(&fanuc, false);
setRobotCoordArticulaires(&fanuc, 0, 45,0,0);
setRobotPrecisionProgrammeMGI(&fanuc, 0.5); // nombre de points clefs gnrs par unit de mesure pour la commande du robot par MGI

